This is an automated email from the git hooks/post-receive script.

gregoa pushed a change to annotated tag debian/0.40-1
in repository libparse-pmfile-perl.

        at  2e21e2c   (tag)
   tagging  7c55693555d7d1d88b2d8e44183b50505daa1661 (commit)
  replaces  debian/0.39-1
 tagged by  gregor herrmann
        on  Sun Feb 21 23:38:42 2016 +0100

- Log -----------------------------------------------------------------
tagging package libparse-pmfile-perl version debian/0.40-1
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJ8BAABCgBmBQJWyjxyXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXREMUUxMzE2RTkzQTc2MEE4MTA0RDg1RkFC
QjNBNjgwMTg2NDlBQTA2AAoJELs6aAGGSaoGTe8P/2791pi2uVu+2io2SG+A3854
qt/qxTm8+HLTmmFYyLWhZwEdvF2Q9d5wvNZfrtwXDRRG6vPhi7S09UcUMZrlTiV1
uvAeWElYUXuQf4dUKRjsABSXO0ypujxYOU5EEPMSSLNGpdIPB6+2otYTeUoowLrG
79SntMBaZeyF8ma1HXeINM0ly+2AX2+letPV7kgKscTVGmkBhJni8eU++WZMHZqG
p2l07dtIZmxkx3kHIkFA7SbZ1cqqWot/3/+B42sGLh1hi+q5LdbwiGtATCg2lrnh
3JWO7Sthng8jSox72GQSq3Mr1HLmNnOJjRz70LL39PXVpHFB//sf/x39fX2DB6/A
MS0VTEl9UBGG8sk2KBcAKrOMrG6KZz9hZVuXPmlHLGkPf/5vtqLdwQHuHOTFcvUT
9saxmPUblBwPwaCQCbuHxxITiSeUdmXXO+xKYLXBs25tsEbu/OEXDEW3ty3dsfin
c58hKhpqGGSvP10HNWrU/5K38T6yc8Phy4zuO7ux/4eMyEbwA40jpF0GuX5sH5Np
Cy7keXxaBfQIdHv/7UbLFVrk/g/SX7UQXZPS61pl0LePmznI4r6ufpWeMDvmPw1B
OmXcR4vdshGmqkfsZZywk6JZIZ2fha6rwm+NkfHOkZ4tdpHr1cY0JwCMLC/mLnZs
EddiGptgNJQgnvPTxTyv
=xaUP
-----END PGP SIGNATURE-----

Kenichi Ishigaki (169):
      inital import
      jsonToObj was deprecated
      this is not a PAUSE indexer
      replace backslashes in path for windows
      to avoid warnings
      use fork() and a tmpfile for communication as '-|' is not portable
      normalize sometimes dies
      fixed pod
      make it less noisy; it's not the final trial
      better use no warnings here as it's out of the Safe component
      silence Integer overflow warning from version.pm; and warn tentatively if 
there's an unknown error
      for older perls
      have forgotten to replace 'package' with 'from'
      check the first equal, as equals might be found in the version definition 
like sprintf(... q!Revision = ...! =~ ...)
      added a test for multiple equals
      add prereqs
      releng
      version detection may take too much time without this
      reverted: wrong assumption
      package version detection may take too much time
      added an author test for package version detection of a large .pm file
      releng
      for silence
      $VERSION after __END__ (or __DATA__) should be ignored
      added $ALLOW_DEV_VERSION for better analysis
      noted $VERBOSE too
      a test for $ALLOW_DEV_VERSION
      releng
      minimum protection against Acme::BadExample
      added a test against Acme::BadExample
      releng
      switched to JSON::PP
      releng
      added an author test for common::sense parsing
      added xt tests for modules that raised issues on Parse::PMFile
      ignore __END__ unless line-head
      included all of the CPAN::Version methods to drop CPAN(::Version) 
dependency
      tweaked not to be warned because of an unknown parameter for older EUMM
      releng
      not to misunderstand '$package or' as 'or' package
      releng
      modified to return info about invalid versions as well
      added a test for an invalid version
      releng
      silence warnings
      releng
      keep normalization errors as well
      added an extra test for an invalid version (normalization failure)
      releng 0.10
      keep error infile as well
      ignore VERSION comparisons
      catch undefined 'provides' package version correctly
      fixed indent
      deref a version set as *VERSION = \...
      releng 0.11
      fixed the case of '*VERSION = *Other::Package::VERSION'
      releng 0.12
      oops
      fixed parsing of 'package NAME {'
      discussion with ANDK revealed removing } was not a good idea; just adding 
{ is better.
      oops, needs escaping
      now you can use math funcs to express VERSION
      releng 0.13
      oops, updated MANIFEST to include tests for 0.13
      releng 0.14
      no_index for package/namespace hasn't been applied correctly
      should be $Parse::PMFile::Test::VERSION
      added a test for no_index
      releng 0.15
      packages with x_normalize error should be checked in
      reflect the changes done in PAUSE at QAH2014
      releng 0.16
      $FORK to change internal bahavior (default true)
      found a failing case when $FORK = 0
      undefine empty $v when $FORK = 0 (as if read from a tmpfile)
      another failing case when $FORK = 0
      ...due to encode
      documented about $FORK
      not to fork by default
      releng 0.17
      make sure overloaded stuff from version.pm work correctly after using 
Parse::PMFile
      updated manifest
      cpanfile
      releng 0.18
      restore overloads for in-core version
      bumped up the version requirement slightly (moznion++)
      releng 0.19
      not to consider \$VERSION in a regex as a $VERSION
      added a test
      releng 0.20
      constructor options
      permission check
      string eval to defer
      added Parse::LocalDistribution/PAUSE::Permissions to SEE ALSO
      releng 0.21
      tweak for backward compatibility
      releng 0.22
      Share also charstar:: stuff (which is hidden in version::vpp and used to 
scan version)
      releng 0.23 (oops, late commit)
      requires Parse::PMFile explicitly (after WorePAN is loaded for older 
WorePAN)
      added requires for developers
      added .travis.yml
      PAUSE::Permissions requires 5.10
      improved fatpacked version::vpp support (for cpanm)
      releng 0.24
      oops, hid charstar from PAUSE
      releng 0.25
      version::vpp should also be numified
      releng 0.26
      restore overloaded stuff from version.pm, regardless of the perl version 
(#5)
      removed unused modules
      requires File::Temp 0.19 for newdir
      gitignore
      replaced $fh->close with close $fh for older perls
      added UNSAFE option as the last resort for older perls
      releng 0.27
      now UNSAFE Parse::PMFile (under older perls) can't parse Acme::BadExample 
(so bad!)
      added two xt tests on version.pm
      Merge pull request #6 from miyagawa/qv-matrix
      import qv if UNSAFE
      let's see...
      updated MANIFEST(.SKIP)
      releng 0.28
      use default namespace to suppress a warning on UNIVERSAL::VERSION 
redefinition
      tidied xt and added some from cpanminus/xt/meta.t
      added a test for bogus version detection (version comparison)
      releng 0.29
      oops, wrong condition
      Algorithm-Diff 1.1902 was released by TYEMQ, not NEDKONZ
      restore overloaded stuff of all the loaded version modules
      skip t/81... if version::vpp is not installed, and test both cases with 
travis
      not to import overload into version::vpp explicitly (hopefully for perl 
5.12-16)
      Revert "not to import overload into version::vpp explicitly (hopefully 
for perl 5.12-16)"
      reimport overload into version::vpp only if 'use version' statement 
doesn't exist in the VERSION line
      releng 0.30
      added tests for version->declare/qv without using version explicitly
      releng 0.31
      added more tests for overloaded stuff
      wrong namespace
      numify earlier for Safe not to handle a version object in reval
      restore what are actually overloaded
      not to redo overload->import for version (broken under 5.12)
      releng 0.32
      Revert "restore what are actually overloaded", which seems to have caused 
segfaults under some environments.
      releng 0.33
      added a failing TODO test for #7
      use __clean_eval() as Module::Metadata does
      updated xt
      added an extra test for __clean_eval
      releng 0.34
      tolerate version line errors as undef (fix #8)
      releng 0.35
      remove an unnecessary $DB::single line (remnant of PAUSE's debugging, 
spotted by oalders++)
      releng 0.36
      ported version_ok() implemented in PAUSE
      releng 0.37
      add 5.22 to .travis.yml
      add diagnostic messages
      releng 0.38
      limit the length of the testing version explicitly not to fail under 
perls with -Duselongdouble (srezic++, RT-111034)
      releng 0.39
      silenced 'alpha->numify() is lossy' warning
      added a test for a too long version, which I must have forgotten to commit
      updated manifest
      releng 0.40
      omit warning categories as older versions of version does not register a 
version category
      lossy test behaves differently as of version 0.9913
      added t/fatlib_9913 to keep testing against 0.9913
      vpp was not added

Lucas Kanashiro (5):
      Imported Upstream version 0.40
      Merge tag 'upstream/0.40'
      Update debian/changelog
      Declare compliance with Debian policy 3.9.7
      Releasing libparse-pmfile-perl version 0.40-1

Salvatore Bonaccorso (2):
      debian/control: Use HTTPS transport protocol for Vcs-Git URI
      update changelog

Tatsuhiko Miyagawa (3):
      add tests for qv(). Fails on 5.8
      Add fatpacked version.pm for cpanm (with forced fallback to version::vpp)
      add PERL5LIB matrix for forced vpp mode

-----------------------------------------------------------------------

No new revisions were added by this update.

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libparse-pmfile-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to